formulas(sos).
  subset(x,y) <-> (all z (member(z,x) -> member(z,y)))  # label(subset_def).
end_of_list.

formulas(goals).
  subset(x,y) & subset(y,z) -> subset(x,z)  #label(trans_of_subset).
end_of_list.
